cURL
curl -X GET \
/public/offers/{id} \
--header "Authorization: Bearer <token>"import requests
url = "https://coreapi.io/public/offers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://coreapi.io/public/offers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/public/offers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"name": "<string>",
"contactPerson": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"avatar": "<string>",
"phone": "<string>",
"linkedin": "<string>",
"position": "<string>",
"website": "<string>"
},
"description": "<string>",
"sections": [
"<string>"
],
"offerLineItems": [
"<string>"
],
"signed": true,
"canSign": true
}Offer
[Deprecated, removed 2026-08-01] Get a public offer
deprecated
Get a single public offer
GET
/
public
/
offers
/
{id}
cURL
curl -X GET \
/public/offers/{id} \
--header "Authorization: Bearer <token>"import requests
url = "https://coreapi.io/public/offers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://coreapi.io/public/offers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/public/offers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"name": "<string>",
"contactPerson": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"avatar": "<string>",
"phone": "<string>",
"linkedin": "<string>",
"position": "<string>",
"website": "<string>"
},
"description": "<string>",
"sections": [
"<string>"
],
"offerLineItems": [
"<string>"
],
"signed": true,
"canSign": true
}Autorisierungen
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Pfadparameter
Offer identifier
War diese Seite hilfreich?
⌘I